package CRSDK;

@SuppressWarnings("unused")
public enum CrWarningExtParam_DownloadSceneFileResult {
    CrWarningExtParam_DownloadSceneFileResult_Invalid (0x00000000),
    CrWarningExtParam_DownloadSceneFileResult_DeviceBusy (CrWarningExtParam_DownloadSceneFileResult_Invalid.getValue()+1),
    CrWarningExtParam_DownloadSceneFileResult_NG (CrWarningExtParam_DownloadSceneFileResult_Invalid.getValue()+2);

    private final CrInt32u value;
    CrWarningExtParam_DownloadSceneFileResult(int value) {
        this.value = new CrInt32u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
